Get Memory Dump
GET /v1/discovery/{service}/dump
GET /v1/discovery/{service}/dumpInteractive request editor loads with JavaScript.
Path Parameters
service*string
Configured service discovery module name.
Response Body
application/json
curl -X GET "http://127.0.0.1:9090/v1/discovery/consul/dump"OK
{
"services": {
"svc-a": [
{
"host": "192.168.42.145",
"weight": 1,
"port": 9081
},
{
"host": "192.168.42.145",
"weight": 1,
"port": 9082
}
]
},
"config": {
"dump": {
"load_on_init": true,
"expire": 2592000,
"path": "logs/consul.dump"
},
"timeout": {
"wait": 60,
"read": 2000,
"connect": 2000
},
"fetch_interval": 3,
"keepalive": true,
"weight": 1,
"servers": [
"http://consul:8500"
],
"token": ""
}
}Complete operation details and schema variants
GET /v1/discovery/{service}/dump
Get Memory Dump
Get the in-memory service and configuration data for a configured service discovery module. This endpoint exists only when the module implements runtime data dumping.
Parameters
service(path, string, required): Configured service discovery module name.
Responses
200: OK
cURL
curl -X GET 'http://127.0.0.1:9090/v1/discovery/{service}/dump'